/*
 * MosP - Mind Open Source Project         http://www.mosp.jp/
 * Copyright (C) 1987-2009 MIND Co., Ltd.  http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.payroll.payment.vo;

import javax.servlet.http.HttpServletRequest;

import jp.mosp.payroll.base.PayrollVo;

public class PaymentReportVo extends PayrollVo {
	
	private static final long serialVersionUID = -8852219595841541463L;
	
	// フィールド
	private int      pltYear       ;
	private int      pltMonth      ;
	private int      pltDay      	;
	private String   txtKCode      ;
	private String   pltOffice     ;
	private String   pltSection    ;
	
	// プルダウン
	private String[][] pitYear    ;
	private String[][] pitMonth   ;
	private String[][] pitDay     ;
	private String[][] pitOffice  ;
	private String[][] pitSection ;
	
	/**
	 * パラメータ名(対象年)。
	 */
	public static final String PRM_PLT_YEAR = "pltYear";
	
	/**
	 * パラメータ名(対象月)。
	 */
	public static final String PRM_PLT_MONTH = "pltMonth";
	
	/**
	 * パラメータ名(対象月)。
	 */
	public static final String PRM_PLT_DAY = "pltDay";
	
	/**
	 * パラメータ名(社員コード)。
	 */
	public static final String PRM_TXT_K_CODE = "txtKCode";
	
	/**
	 * パラメータ名(事業所)。
	 */
	public static final String PRM_PLT_OFFICE = "pltOffice";
	
	/**
	 * パラメータ名(所属)。
	 */
	public static final String PRM_PLT_SECTION = "pltSection";
	
	/**
	 * {@link PayrollVo#PayrollVo()}を実行する。
	 */
	public PaymentReportVo() {
		super();
	}
	
	/* (non-Javadoc)
	 * @see jp.mosp.payroll.base.PayrollVo#setSubTitle()
	 */
	@Override
	protected void setSubTitle() {
		super.setSubTitle();
		subTitle = getName("P_PAYMENT") + getName("C_REPORT") + getName("C_EXPORT");
		addAryMenu("P1001", getName("P_PAYMENT") +
				getName("P_CALCULATE") + getName("C_MENU") + getName("C_TO"));
	}
	
	/**
	 * リクエストからパラメータを取得、設定する。
	 * @param request リクエスト
	 */
	public void setParams(HttpServletRequest request) {
		pltYear     = getIntParam(request.getParameter(PRM_PLT_YEAR ));
		pltMonth    = getIntParam(request.getParameter(PRM_PLT_MONTH));
		pltDay    = getIntParam(request.getParameter(PRM_PLT_DAY));
		txtKCode    = request.getParameter(PRM_TXT_K_CODE);
		pltOffice   = request.getParameter(PRM_PLT_OFFICE);
		pltSection  = request.getParameter(PRM_PLT_SECTION);
	}
	
	/**
	 * 給与計算開始月を取得する。
	 * @return 給与計算開始月
	 */
	public int getPltMonth() {
		return pltMonth;
	}
	
	/**
	 * 給与計算開始月を設定する。
	 * @param pltMonth 設定する給与計算開始月
	 */
	public void setPltMonth(int pltMonth) {
		this.pltMonth = pltMonth;
	}
	
	/**
	 * 給与計算開始年を取得する。
	 * @return 給与計算開始年
	 */
	public int getPltYear() {
		return pltYear;
	}

	/**
	 * 給与計算開始年を設定する。
	 * @param pltYear 設定する給与計算開始年
	 */
	public void setPltYear(int pltYear) {
		this.pltYear = pltYear;
	}
	
	/**
	 * 給与計算開始年を取得する。
	 * @return 給与計算開始年
	 */
	public int getPltDay() {
		return pltDay;
	}

	/**
	 * 給与計算開始年を設定する。
	 * @param pltDay 設定する給与計算開始年
	 */
	public void setPltDay(int pltDay) {
		this.pltDay = pltDay;
	}
	
	/**
	 * 月プルダウンアイテムを取得する。
	 * @return 月プルダウンアイテム
	 */
	public String[][] getPitMonth() {
		return getAryField(pitMonth);
	}
	
	/**
	 * 月プルダウンアイテムを設定する。
	 * @param pitMonth 設定する月プルダウンアイテム
	 */
	public void setPitMonth(String[][] pitMonth) {
		this.pitMonth = getAryField(pitMonth);
	}
	
	/**
	 * 年プルダウンアイテムを取得する。
	 * @return 年プルダウンアイテム
	 */
	public String[][] getPitYear() {
		return getAryField(pitYear);
	}
	
	/**
	 * 年プルダウンアイテムを設定する。
	 * @param pitYear 設定する年プルダウンアイテム
	 */
	public void setPitYear(String[][] pitYear) {
		this.pitYear = getAryField(pitYear);
	}
	
	/**
	 * 日プルダウンアイテムを取得する。
	 * @return 日プルダウンアイテム
	 */
	public String[][] getPitDay() {
		return getAryField(pitDay);
	}
	
	/**
	 * 日プルダウンアイテムを設定する。
	 * @param pitYear 設定する日プルダウンアイテム
	 */
	public void setPitDay(String[][] pitDay) {
		this.pitDay = getAryField(pitDay);
	}
	
	/**
	 * 事業所プルダウンアイテムを取得する。
	 * @return 事業所プルダウンアイテム
	 */
	public String[][] getPitOffice() {
		return getAryField(pitOffice);
	}
	
	/**
	 * 事業所プルダウンアイテムを設定する。
	 * @param pitOffice 設定する事業所プルダウンアイテム
	 */
	public void setPitOffice(String[][] pitOffice) {
		this.pitOffice = getAryField(pitOffice);
	}

	/**
	 * 所属プルダウンアイテムを取得する。
	 * @return 所属プルダウンアイテム
	 */
	public String[][] getPitSection() {
		return getAryField(pitSection);
	}

	/**
	 * 所属プルダウンアイテムを設定する。
	 * @param pitSection 設定する所属プルダウンアイテム
	 */
	public void setPitSection(String[][] pitSection) {
		this.pitSection = getAryField(pitSection);
	}
	
	/**
	 * 事業所コードを取得する。
	 * @return 事業所コード
	 */
	public String getPltOffice() {
		return pltOffice;
	}
	
	/**
	 * 事業所コードを設定する。
	 * @param pltOffice 設定する事業所コード
	 */
	public void setPltOffice(String pltOffice) {
		this.pltOffice = pltOffice;
	}

	/**
	 * 所属コードを取得する。
	 * @return 所属コード
	 */
	public String getPltSection() {
		return pltSection;
	}

	/**
	 * 所属コードを設定する。
	 * @param pltSection 設定する所属コード
	 */
	public void setPltSection(String pltSection) {
		this.pltSection = pltSection;
	}

	/**
	 * 社員コードを取得する。
	 * @return 社員コード
	 */
	public String getTxtKCode() {
		return txtKCode;
	}

	/**
	 * 社員コードを取得する(エスケープ)。
	 * @return 社員コード
	 */
	public String getEscTxtKCode() {
		return escapeHTML(txtKCode);
	}
	
	/**
	 * 社員コードを設定する。
	 * @param txtKCode 設定する社員コード
	 */
	public void setTxtKCode(String txtKCode) {
		this.txtKCode = txtKCode;
	}
	
}
